{% extends 'partials/base.html.twig' %}

{% block content %}
    {% if page.header.showcase %}
        {% set background_image = page.media.images|randomize|first %}
        <div class="showcase" {% if background_image %}style="background-image: url({{ background_image.url }});"{% endif %}>
        </div>
    {% endif %}
    <div class="content bg-bright">
      {% if grav.user.access.admin.super %} <a href="{{ "/admin/pages" ~ page.url }}"><img class="event-icon" alt="Edit this Event" src="{{ url('theme://images/icons/edit.png') }}"></a>{% endif %}

      <h1 style="text-align: center;">
        {{ page.date|date("l, jS") }} of {{ page.date|date("F") }}
      </h1>
      <h2 style="text-align: center;">
        {{ page.title }}
      </h2>
      <hr>

      <p><strong>Category</strong>: {{ header.event.category|titleize }}</p>

      <p>We will be {% if header.event.mode == 'race' %}racing{%else%}playing <strong>{{header.event.mode|titleize}}</strong> with{%endif%}
      {% if header.event.class != 'other' %}
        <a href="https://re-volt.io/online/cars/{{header.event.class}}">
          {{ event_types[header.event.class] }}
        </a>
      {% else %}
        {% if header.event.classlink %}<a href="{{header.event.classlink}}">{% endif %}
          {{ header.event.otherclass }}
        {% if header.event.classlink %}</a>{% endif %}
      {% endif %}
      at <a href="http://time.unitarium.com/utc/{{ page.date|date("Hi") }}">{{ page.date|date("H:i") }} UTC</a> ({{ page.date|nicetime }}).</p>
      
      {% if header.event.stream %}
        <p>Watch the live stream: <a href="{{header.event.stream}}">{{header.event.stream}}</a>
      {% endif %}
      {% if header.event.vod %}
        <p>Watch the recording: <a href="{{header.event.vod}}">{{header.event.vod}}</a>
      {% endif %}

      {% if header.event.results %}
        <p>Event results: <a href="{{header.event.results}}">{{header.event.results}}</a>
      {% endif %}
      
      {% if page.content %}

        <blockquote>{{ page.content }}</blockquote>

      {% endif %}

      <h2> Track Selection </h2>

      <ul>
      {% for track in header.event.tracklist|split('\n') %}
      <li>{{ track }}</li>
      {% endfor %}
      </ul>

      <h2> Lobbies </h2>

      {% if header.event.hosts %}
        <p>The game will be hosted by these fine folks:</p>
        <table>
          <tr><th>Host</th><th>IP</th></tr>
          {% for host,ip in header.event.hosts %}
            <tr><td>{{ host }}</td><td><code>{{ ip }}</code></td></tr>
          {% endfor %}
        </table>
      {% else %}
        <p>The game will be hosted by {{ header.event.host }}.</p>
        <p>The IP will be <code>{{ header.event.ip }}</code>.</p>
      {% endif %}

    </div>
{% endblock %}
